Bug 856254 - Extra entries in "USB Device Selection" when USB device is redirected to guest in autoshare mode
Extra entries in "USB Device Selection" when USB device is redirected to gues...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Uri Lublin
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 10:56 EDT by Bill Sanford
Modified: 2015-09-22 09 EDT (History)
12 users (show)

See Also:
Fixed In Version: mingw-virt-viewer-0.5.3-24.el6ev
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 12:12:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The extra entry of two USB devices when only one is used on USB client (2.84 MB, image/png)
2012-09-11 10:56 EDT, Bill Sanford
no flags Details

  None (edit)
Description Bill Sanford 2012-09-11 10:56:40 EDT
Created attachment 611803 [details]
The extra entry of two USB devices when only one is used on USB client

Description of problem:
There are identical extra entries in "USB Device Selection" when USB device is redirected to guest in autoshare mode. In the virt-viewer window, File -> USB Device Selection and you will see a duplicate entry or when the USB device is removed from the client, you could see one of the entries that remains that is not accessible. 

Version-Release number of selected component (if applicable):
RHEV-M si17.

How reproducible:
80-90%

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Sanford 2012-09-11 10:59:13 EDT
I installed the "usbclerk" from the si17 install on a Windows 7x86 client.
Comment 6 Uri Lublin 2014-03-10 17:35:07 EDT
This problem is probably have been solved together with the fix for bug 842816:
using VID:PID to identify USB devices.

I can not reproduce with mingw-virt-viewer 0.5.6-20 (rhevm-spice-client 3.3-11), on a WinXP client.

Bill, can you please test with mingw-virt-viewer 0.5.6-20 ?
Comment 7 Uri Lublin 2014-03-19 12:12:03 EDT
Bill, thanks for verifying.
Copying fixed-in-version from bug 842816, and closing as current release.

Note You need to log in before you can comment on or make changes to this bug.